Bug 139946 - Mouse does not work correctly
Mouse does not work correctly
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 16:18 EST by Melvin Yam
Modified: 2015-01-04 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Melvin Yam 2004-11-18 16:18:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I have a gigabyte 7VAXP-A Ultra motherboard.
I have a Microsoft Internet K/B and a Optical Wheel Mouse (USB).
I also have a SmartView IC-714-1A 4 port KVM switch.
When I boot Fedora from DVD, it detects as Generic 3-button mouse 
(PS/2)
Throughout the graphics installation, the mouse will not work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot Fedora from DVD
2.Press enter to go into graphics installation
3.
    

Actual Results:  mouse is detected as Generic 3-button mouse.
mouse pointer does not move when mouse move.

Expected Results:  mouse should be working

Additional info:
Comment 1 Paul Nasrat 2004-11-23 08:24:26 EST
Does this work without the KVM?  

Is the KVM using USB or are you using a usb to ps2 converter.

Can you switch to tty2 (Ctrl-Alt-F2) and give me the output of 

cat /proc/bus/input/devices
Comment 2 Melvin Yam 2004-11-24 13:36:45 EST
Yes the mouse work without the KVM.

The KVM is using PS/2
The mouse is a USB mouse. I am using a USB to PS2 converter.




I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd event0 
B: EV=120013 
B: KEY=4 2000000 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe 
B: MSC=10 
B: LED=7 

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse0 event1 
B: EV=7 
B: KEY=70000 0 0 0 0 0 0 0 0 
B: REL=103 
Comment 3 Paul Nasrat 2004-11-24 15:06:04 EST
Does passing:

psmouse.resetafter=3

help when using the KVM.
Comment 4 Paul Nasrat 2004-11-24 15:06:46 EST
Note this is a kernel boot argument so should be appended to the boot line
through grub
Comment 5 Melvin Yam 2004-11-25 10:55:43 EST
After booting in DVD,
at the boot: prompt,
I typed "linux psmouse.resetafter=3"
and then I pressed Enter

It boots and load anaconda installer.
Detects my mouse as Generic 3-button mouse and
then in graphical mode, same thing happens,
my mouse does not work. The mouse pointer is there
but when I move my mouse, the pointer does not move.


Comment 6 Paul Nasrat 2004-11-25 11:24:32 EST
Can you retry this time with psmouse.proto=bare
Comment 7 Melvin Yam 2004-11-26 13:50:50 EST
Yes it works!
Comment 8 Dave Jones 2005-07-15 14:45:23 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 9 Dave Jones 2005-10-02 21:03:26 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.